package cli

import (
	"testing"

	"github.com/stretchr/testify/assert"
	"github.com/stretchr/testify/require"
)

func TestOutputCapture(t *testing.T) {
	// Test vault list command which we fixed
	output, err := ExecuteCommandInProcess([]string{"vault", "list"}, "", nil)
	require.NoError(t, err)
	assert.Contains(t, output, "Available vaults", "should capture vault list output")
	t.Logf("vault list output: %q", output)

	// Test help command
	output, err = ExecuteCommandInProcess([]string{"--help"}, "", nil)
	require.NoError(t, err)
	assert.NotEmpty(t, output, "help output should not be empty")
	t.Logf("help output length: %d", len(output))
}
